イベント詳細取得
curl --request GET \
--url https://api.utage-system.com/v1/events/{project_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/events/{project_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/events/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/events/{project_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "seminar",
"name": "<string>",
"system_name": "<string>",
"event_group_id": "<string>",
"fee_type": "<string>",
"fee": 123,
"use_limited_price": true,
"limited_item": "datetime",
"limited_prices": [
{
"datetime_from": "<string>",
"datetime_to": "<string>",
"day": 123,
"hour": 123,
"min": 123,
"fee": 123
}
],
"payment_method": "<string>",
"payment_setting_id": "<string>",
"business_id": "<string>",
"deadline_day": 123,
"deadline_hour": 123,
"deadline_to_type": "none",
"deadline_to_day": 123,
"multiple_registration_type": "deny",
"has_reminder": true,
"reminder_scenario_id": "<string>",
"reminder_scenario_copy_status": "<string>",
"notify_mail": "<string>",
"use_line_event": true,
"has_cancel_mail": true,
"has_cancel_line": true,
"is_test_mode": true,
"is_archived": true,
"copy_status": "<string>",
"register_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}イベント
イベント詳細取得
イベントの詳細(画面の「イベント設定」の基本設定・リマインダ設定、期間限定価格、申込フォームのURL)を取得します。reminder_scenario_copy_status で連携配信シナリオのコピーの進行状態を、copy_status でイベントのコピーの進行状態を確認できます。
イベント詳細取得
curl --request GET \
--url https://api.utage-system.com/v1/events/{project_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/events/{project_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/events/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/events/{project_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "seminar",
"name": "<string>",
"system_name": "<string>",
"event_group_id": "<string>",
"fee_type": "<string>",
"fee": 123,
"use_limited_price": true,
"limited_item": "datetime",
"limited_prices": [
{
"datetime_from": "<string>",
"datetime_to": "<string>",
"day": 123,
"hour": 123,
"min": 123,
"fee": 123
}
],
"payment_method": "<string>",
"payment_setting_id": "<string>",
"business_id": "<string>",
"deadline_day": 123,
"deadline_hour": 123,
"deadline_to_type": "none",
"deadline_to_day": 123,
"multiple_registration_type": "deny",
"has_reminder": true,
"reminder_scenario_id": "<string>",
"reminder_scenario_copy_status": "<string>",
"notify_mail": "<string>",
"use_line_event": true,
"has_cancel_mail": true,
"has_cancel_line": true,
"is_test_mode": true,
"is_archived": true,
"copy_status": "<string>",
"register_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}